Bug 145805 - Java plugin fails to ask if you trust signed applets
Java plugin fails to ask if you trust signed applets
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Depends On:
Blocks: 168424
  Show dependency treegraph
Reported: 2005-01-21 14:42 EST by Steve Atwell
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0108
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 10:49:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Atwell 2005-01-21 14:42:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050107 Firefox/1.0

Description of problem:
When loading a signed Java applet, you are never presented with the
dialog asking if you want to trust the signed applet.  Instead the
applet runs untrusted.

The currently available IBM JRE directly from IBM
(IBMJava2-JRE-1.4.2-1.0.i386.rpm) does not exhibit this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to run a signed applet that needs to be trusted for proper
functionality.  The MindTerm SSH applet is a good example of this. 
Insallations can be found at    
http://www.oit.duke.edu/sa/security/ssh.html and

Actual Results:  The applet starts without Java asking if you trust
it, and the applet runs without any privileges.  In the case of
MindTerm, you will get an error when you try to connect to a host.

Expected Results:  The plugin should pop up a window asking if you
want to trust the signed applet.

Additional info:
Comment 2 Thomas Fitzsimmons 2005-03-02 23:12:45 EST
What does java -version say for the IBM JRE directly from IBM's website?  I want
to make sure we're testing the same versions of the plugin.
Comment 3 Steve Atwell 2005-03-03 12:11:11 EST
Here's the info for the JRE from IBM:

$ rpm -q IBMJava2-JRE

$ /opt/IBMJava2-142/jre/bin/java -version
java version "1.4.2"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)
Classic VM (build 1.4.2, J2RE 1.4.2 IBM build cxia32142ifx-20041203
(142SR1+80507) (JIT enabled: jitc))
Comment 4 Thomas Fitzsimmons 2005-03-03 18:33:09 EST
OK, this is very close (by build date) to the version we ship.  The bug may be a
packaging problem on our side.  I'll compare our RPMs to IBMs and try to
determine the difference.
Comment 5 Thomas Fitzsimmons 2005-11-29 19:54:56 EST
I tested this on IBM SR3 and it works -- a dialog pops up asking if you trust
the applet.  SR3 will ship with RHEL3U7.
Comment 8 Red Hat Bugzilla 2006-03-15 10:49:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.